### Virtual Method

# Foundry DeployStrategy prepare

#### Declaration [src]

    DexFuture*
    prepare (
      FoundryDeployStrategy* self,
      FoundryProcessLauncher* launcher,
      FoundryBuildPipeline* pipeline,
      int pty_fd,
      DexCancellable* cancellable
    )

#### Description [src]

Prepares `launcher` to be able to run a command on the device with access to a deployed installation of `pipeline`.

#### Parameters

`launcher`

  Type: `FoundryProcessLauncher`

  A `FoundryProcessLauncher` to prepare.

  The data is owned by the caller of the method.

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline` containing the build stages.

  The data is owned by the caller of the method.

`pty_fd`

  Type: `int`

  The PTY device to use for stdin/stdout/stderr, or -1.

`cancellable`

  Type: `DexCancellable`

  An optional `DexCancellable` for cancellation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.